> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a WhatsApp template

> Delete a WhatsApp message template from the WABA. Meta requires `name` (and `language` for cache invalidation) in the query alongside the template id.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json delete /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/{template_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/{template_id}:
    delete:
      tags:
        - Orgs Connections
      summary: Delete a WhatsApp template
      description: >-
        Delete a WhatsApp message template from the WABA. Meta requires `name`
        (and `language` for cache invalidation) in the query alongside the
        template id.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the template
          name: template_id
          in: path
        - schema:
            type: string
          required: true
          name: name
          in: query
        - schema:
            type: string
          required: true
          name: language
          in: query
        - schema:
            type: string
          required: false
          name: waba_id
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````